org.apache.felix.connect.felix.framework.util

## Class VersionRange

- java.lang.Object
- - org.apache.felix.connect.felix.framework.util.VersionRange

    public class VersionRange
    extends Object

### Field Summary

Fields
`static VersionRange` `infiniteRange`

### Constructor Summary

Constructors
Constructor and Description
`VersionRange(org.osgi.framework.Version low, boolean isLowInclusive, org.osgi.framework.Version high, boolean isHighInclusive)`

### Method Summary

Methods
`boolean` `equals(Object obj)`
`org.osgi.framework.Version` `getCeiling()`
`org.osgi.framework.Version` `getFloor()`
`int` `hashCode()`
`boolean` `isCeilingInclusive()`
`boolean` `isFloorInclusive()`
`boolean` `isInRange(org.osgi.framework.Version version)`
`static VersionRange` `parse(String range)`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### infiniteRange

    public static final VersionRange infiniteRange

### Constructor Detail

#### VersionRange

    public VersionRange(org.osgi.framework.Version low,
                boolean isLowInclusive,
                org.osgi.framework.Version high,
                boolean isHighInclusive)

### Method Detail

#### getFloor

    public org.osgi.framework.Version getFloor()

#### isFloorInclusive

    public boolean isFloorInclusive()

#### getCeiling

    public org.osgi.framework.Version getCeiling()

#### isCeilingInclusive

    public boolean isCeilingInclusive()

#### isInRange

    public boolean isInRange(org.osgi.framework.Version version)

#### parse

    public static VersionRange parse(String range)

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`